Membership
/- Searches for chapters using predefined parameters
Gets all of the chapters in the system.
Creates a new chapter record that does not already exist.
Execute Batch Operations
Change chapter committee terms
Create a chapter committee membership
Delete a chapter committee membership
Update a chapter committee membership
Creates a new contact on behalf of a chapter
Get chapter member contact info
Update chapter member contact info
Generates an application for a contact or organization
Generates an order from a membership application
Update chapter member membership info
Returns a list of chapters for a given membership package
Returns a list of chapters for a given membership package
Searches for the nearest chapters to the latitude and longitude supplied
Get eligible application processes
Get portal permissions
Runs a saved query on behalf of a chapter
View chapter roster
Returns a chapter from the system by its ID.
Returns a chapter from the system by its ID.
Partially updates a chapter with the specified ID.
Updates a chapter with the specified ID.
Searches for chapters usi...
Searches for chapters using predefined parameters
Security
knox-authorizer
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/membership/membership-v1/chapters/{tenantId}/search
- https://membership.api.rhythmsoftware.comhttps://membership.api.rhythmsoftware.com/chapters/{tenantId}/search
curl -i -X POST \
'https://docs.api.rhythmsoftware.com/_mock/apis/membership/membership-v1/chapters/{tenantId}/search?exclusiveStartKey=string&fieldsToReturn=string' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"city": "string",
"id": [
"string"
],
"is_active": [
true
],
"name": "string",
"state": "string",
"type_id": [
"string"
]
}'Response
{ "Items": [ { … } ], "LastEvaluatedKey": "string" }